View Issue Details

IDProjectCategoryView StatusLast Update
0004051SymmetricDSNew Featurepublic2019-08-23 12:46
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.4 
Target Version3.10.4Fixed in Version3.10.4 
Summary0004051: Allow dbsql to use list of sql statements from file
Descriptiondbsql -properties engines/server.properties -sqlfile listofsqlstatements.txt

Allow dbsql to execute sql statements from specified file.
TagsNo tags attached.

Activities

pmarzullo

2019-07-19 13:34

developer   ~0001561

Can't abort on error because the H2 shell tool does not notify the caller that a sql statement had an error.

Related Changesets

SymmetricDS: 3.10 62805cc3

2019-07-19 12:14:41

Philip Marzullo

Details Diff
0004051: Allow dbsql to use list of sql statements from file
0004051
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbSqlCommand.java Diff File

SymmetricDS: 3.10 7dad111a

2019-07-19 13:33:01

Philip Marzullo

Details Diff
0004051: Allow dbsql to use list of sql statements from file
0004051
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File

Issue History

Date Modified Username Field Change
2019-07-19 12:10 pmarzullo New Issue
2019-07-19 12:10 pmarzullo Status new => assigned
2019-07-19 12:10 pmarzullo Assigned To => pmarzullo
2019-07-19 13:00 Changeset attached => SymmetricDS 3.10 62805cc3
2019-07-19 13:34 pmarzullo Status assigned => resolved
2019-07-19 13:34 pmarzullo Resolution open => fixed
2019-07-19 13:34 pmarzullo Note Added: 0001561
2019-07-19 14:00 Changeset attached => SymmetricDS 3.10 7dad111a
2019-07-20 11:13 elong Fixed in Version => 3.10.4
2019-08-23 12:46 admin Status resolved => closed